Create a reusable agent role for legal matter orchestration.
curl --request POST \
--url https://api.case.dev/matters/v1/agent-types \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"instructions": "<string>",
"slug": "<string>",
"description": "<string>",
"model": "<string>",
"enabled_tools": [
"<string>"
],
"disabled_tools": [
"<string>"
],
"skill_refs": [
"<string>"
],
"metadata": {},
"is_default": true,
"is_active": true
}
'API key starting with sk_case_
Agent type created
Was this page helpful?
curl --request POST \
--url https://api.case.dev/matters/v1/agent-types \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"instructions": "<string>",
"slug": "<string>",
"description": "<string>",
"model": "<string>",
"enabled_tools": [
"<string>"
],
"disabled_tools": [
"<string>"
],
"skill_refs": [
"<string>"
],
"metadata": {},
"is_default": true,
"is_active": true
}
'